Postgresql version

Hello n8n team
What is the latest postgresql version do you support?

Hi @yurii, welcome to the community!

Afaik there’s no officially supported version of Postgresql as n8n isn’t built specifically for Postgres. That said, I have used n8n successfully with a few different versions of Postgresql now. n8n/docker-compose.yml at master · n8n-io/n8n (github.com) for example uses Postgres 11, on my own instance I am using 13.

I am not aware of any problems with newer versions either so far, did you encounter any issues?

We haven’t utilized n8n much so far, but initial startup worked well on postgresql 14 (AWS RDS), no errors were noticed.

1 Like